swirl(6)

NAME
swirl - draws swirly color-cycling patterns

SYNOPSIS
swirl [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--install] [--visual visual] [--ncolors integer] [--delay microseconds] [--count integer] [--fps]

DESCRIPTION
The swirl program draws swirly color-cycling patterns.

OPTIONS
swirl accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--ncolors integer
    How many colors should be used (if possible). Default 200.

--count integer

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 1994 M. Dobie. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
M.Dobie <mrd@ecs.soton.ac.uk>, 1994. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 13-May-97.